## ros-indigo-tf 1.11.9

=== debian/changelog ===
ros-indigo-tf (1.11.9-0trusty) trusty; urgency=high

  * Replace legacy python code with appropriate calls to tf2_ros (#149 <https://github.com/ros/geometry/issues/149>) (#134 <https://github.com/ros/geometry/issues/134>)
  * Replace deprecated Eigen module with Eigen3
  * Update minimum version for run dependency on tf2_ros
  * Add support for static_transforms in tf_monitor.
    Fixes #136 <https://github.com/ros/geometry/issues/136> with #134 <https://github.com/ros/geometry/issues/134> for tf_echo and view_frames.
  * Pass through allFramesAsDot time argument optionally.
  * remove vestigial includes. Fixes #146 <https://github.com/ros/geometry/issues/146> (#147 <https://github.com/ros/geometry/issues/147>)
  * Commented code caused error in documentation (#142 <https://github.com/ros/geometry/issues/142>)
  * [doc] Add migration notice in manifest. (#129 <https://github.com/ros/geometry/issues/129>)
  * Fix "stdlib.h: No such file or directory" errors in GCC-6
  * Fix error for null conversion.
  * Change version regex for graphviz in view_frames
  * fix for issue in getAngleShortestPath(), closes #102 <https://github.com/ros/geometry/issues/102>
  * Contributors: AndyZe, Edward Venator, Hodorgasm, Isaac I.Y. Saito, Michael Korn, Mike Purvis, Tom Moore, Tully Foote, Timo Röhling

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-indigo-tf (1.11.8-0trusty) trusty; urgency=high

  * Update assertQuaternionValid to check for NaNs
  * Remove outdated manifest loading in python files
  * update unit tests to catch https://github.com/ros/geometry_experimental/issues/102
  * Contributors: Chris Mansley, Michael Hwang, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-indigo-tf (1.11.7-0trusty) trusty; urgency=high

  * add a unit test for pytf wait_for_transform
  * removed msg serv installation from cmakelists
  * generated autodoc
  * Fixed Vector3 documentation
  * display RPY in both radian and degree
  * Fixed command line arguments
  * using TimeStamp and FrameId in message filter
    this allows to use tf::MessageFilter with pcl::PointCloud<T>
    see #55 <https://github.com/ros/geometry/issues/55>
  * Added and optional third argument to specify publishing frequency
  * Contributors: Adnan Munawar, Brice Rebsamen, Jackie Kay, Tully Foote, Ying Lu

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-indigo-tf (1.11.6-0trusty) trusty; urgency=high

  * reenable python tests
  * Broadcaster: Rospy fix #84 <https://github.com/ros/geometry/issues/84>. Add sendTransformMessage.
  * Contributors: Tully Foote, lsouchet

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-indigo-tf (1.11.5-0trusty) trusty; urgency=high

  * Strip leading slash get parent #79 <https://github.com/ros/geometry/issues/79>
  * Make frameExists strip leading slash going into tf2.`#63 <https://github.com/ros/geometry/issues/63>`_
  * Update broadcaster.py,  Added ability to use TransformStamped
  * update view_frames to use AllFramesAsDot(rospy.time.now()) #77 <https://github.com/ros/geometry/issues/77>
  * Contributors: David Lu!!, Gaël Ecorchard, Kei Okada, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-indigo-tf (1.11.4-0trusty) trusty; urgency=high

  * Install static lib and remove test for Android
  * Larger default queue size in broadcaster
    With queue_size=1 when two transforms are sent in quick succession,
    the second is often lost. The C++ code uses a default queue_size of
    100, so switch to that default here as well. If that is not appropriate,
    a queue_size constructor argument is provided.
  * Update package.xml
  * add rate parameter to tf_echo
  * Added check for normalized quaternion in roswtf plugin
  * Contributors: David Lu!!, Gary Servin, Kevin Hallenbeck, Stephan Wirth, contradict

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-indigo-tf (1.11.3-0trusty) trusty; urgency=high

  * convert to boost signals2 following ros/ros_comm#267 <https://github.com/ros/ros_comm/issues/267> Fixes #23 <https://github.com/ros/geometry/issues/23>. Requires ros/geometry_experimental#61 <https://github.com/ros/geometry_experimental/issues/61> as well.
  * add rospy publisher queue_size argument
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size to tf publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Lukas Bulwahn, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-tf (1.11.2-0trusty) trusty; urgency=high

  * fixing test linking
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 25 Feb 2014 08:00:00 -0000

ros-indigo-tf (1.11.1-0trusty) trusty; urgency=high



 -- Tully Foote <tfoote@willowgarage.com>  Sun, 23 Feb 2014 08:00:00 -0000

ros-indigo-tf (1.11.0-0trusty) trusty; urgency=high

  * TF uses ros::MessageEvent to get connection information
  * Contributors: Kevin Watts, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 14 Feb 2014 08:00:00 -0000

ros-indigo-tf (1.10.8-0trusty) trusty; urgency=high

  * Port groovy-devel patch to hydro-devel
  * Added rosconsole as catkin dependency for catkin_package
  * Add rosconsole as runtime dependency
  * Contributors: Michael Ferguson, Mirza Shah

 -- Tully Foote <tfoote@willowgarage.com>  Sat, 01 Feb 2014 08:00:00 -0000

ros-indigo-tf (1.10.7-0trusty) trusty; urgency=high

  * fix bug in tf::Matrix3x3::getEulerYPR()
    Fixes a bug in tf::Matrix3x3::getEulerYPR() implementation's handling
    of gimbal lock cases (when the new x axis aligns with the old +/-z
    axis).
  * add test that demonstrated bug in tf::Matrix3x3

